##script resource_h;
##begin
//{{NO_DEPENDENCIES}}
// Microsoft Visual C++ generated include file.
// Used by @ROOT@.RC
//

//
// Application specific definitions:
//
##if @APITYPE_SDI@ | @APITYPE_DLG@ begin
#define IDI_SDIAPPLICATION      1001            // Application icon
##end
##if @APITYPE_MDI@ begin
#define IDI_MDIAPPLICATION      1001            // Application icon
#define IDI_DOC                 1002            // MDI child window icon
##end

##if @APITYPE_MDI@ begin
#define IDM_MDI                 100             // Menu resource ID and Accelerator IDs
##end
##if @APITYPE_SDI@ | @APITYPE_DLG@ begin
#define IDM_SDI                 100             // Menu resource ID and Accelerator IDs
##end

##if @DLGCLIENT_MENU@ | !@APITYPE_DLG@ begin 
##if @OPT_APPL_PRINTING@ begin
#define IDM_PRINTPREVIEW        200             // Accelerator ID for Print Preview window.

##end //OPT_APPL_PRINTING
##end //DLGCLIENT_MENU | !APITYPE_DLG
##if @MODTYPE_DOCVIEW@ begin
#define IDM_DOCMANAGERFILE      32401           // Menu for DocManager merging.
#define IDM_EDITVIEW            32581           // Menu for TEditView merging.
#define IDM_LISTVIEW            32582           // Menu for TListView merging.
#define IDA_EDITVIEW						32582
#define IDA_LISTVIEW						32583
##end // MODTYPE_DOCVIEW

##if @OPT_APPL_OLE@ begin
//
// OleView merged menus (include/owl/oleview.rh)
//
#define IDM_OLEPOPUP            32405
#define IDM_OLEVIEW             32406
#define IDM_OLEVIEWEMBED        32407

##end // OPT_APPL_OLE

//
// CM_FILEnnnn commands (include/owl/editfile.rh except for CM_FILEPRINTPREVIEW)
//
##if @APITYPE_SDI@ | @APITYPE_DLG@ begin
#define CM_FILENEW              24331           // SDI New
#define CM_FILEOPEN             24332           // SDI Open
##end // APITYPE_SDI || APITYPE_DLG
##if @APITYPE_MDI@ begin
#define CM_MDIFILENEW           24331
#define CM_MDIFILEOPEN          24332
##end // APITYPE_MDI
#define CM_FILECLOSE            24339
#define CM_FILESAVE             24333
#define CM_FILESAVEAS           24334
##if @MODTYPE_DOCVIEW@ begin
#define CM_FILEREVERT           24335
#define CM_VIEWCREATE           24341
##end // MODTYPE_DOCVIEW
##if @DLGCLIENT_MENU@ | !@APITYPE_DLG@ begin 
##if @OPT_APPL_PRINTING@ begin
#define CM_FILEPRINT            24337
#define CM_FILEPRINTERSETUP     24338
#define CM_FILEPRINTPREVIEW     24340
##end // OPT_APPL_PRINTING
##end // DLGCLIENT_MENU || !APITYPE_DLG
##if @OPT_APPL_MAIL@ & @MODTYPE_DOCVIEW@ begin
#define CM_FILESEND             24345
##end // OPT_APPL_MAIL


//
// Window commands (include/owl/window.rh)
//
#define CM_EXIT                 24310


//
// CM_EDITnnnn commands (include/owl/window.rh)
//
#define CM_EDITUNDO             24321
#define CM_EDITCUT              24322
#define CM_EDITCOPY             24323
#define CM_EDITPASTE            24324
#define CM_EDITDELETE           24325
#define CM_EDITCLEAR            24326
#define CM_EDITADD              24327
#define CM_EDITEDIT             24328

##if @OPT_APPL_OLE@ begin
#define CM_EDITPASTESPECIAL     24311
#define CM_EDITPASTELINK        24312
#define CM_EDITINSERTOBJECT     24313
#define CM_EDITLINKS            24314
#define CM_EDITINSERTCONTROL    24315

#define CM_EDITOBJECT           24370
#define CM_EDITFIRSTVERB        24371       // 20 verbs at most
#define CM_EDITLASTVERB         24390

#define CM_EDITCONVERT          24391
#define CM_EDITSHOWOBJECTS      24392
##end // OPT_APPL_OLE


//
// Search menu commands (include/owl/editsear.rh)
//
#define CM_EDITFIND             24351
#define CM_EDITREPLACE          24352
#define CM_EDITFINDNEXT         24353

##if @APITYPE_MDI@ begin

//
// Windows menu commands (include/owl/mdi.rh)
//
#define CM_CASCADECHILDREN      24361
#define CM_TILECHILDREN         24362
#define CM_TILECHILDRENHORIZ    24363
#define CM_ARRANGEICONS         24364
#define CM_CLOSECHILDREN        24365
#define CM_CREATECHILD          24366
##end // APITYPE_MDI


//
// Help menu commands.
//
##if @OPT_APPL_HELP@ begin
#define CM_HELPCONTENTS         2001
#define CM_HELPUSING            2002
##end // OPT_APPL_HELP
##if @OPT_APPL_ABOUTBOX@ begin
##if @APITYPE_DLG@ begin
#define CM_HELPABOUT            57664
##else
#define CM_HELPABOUT            2009
##end
##end // OPT_APPL_ABOUTBOX
##if @OPT_APPL_HELP@ begin

//
// Context sensitive help cursor.
//
#define IDC_HELPCURSOR          24000


##end // OPT_APPL_HELP

##if @OPT_APPL_ABOUTBOX@ begin 
//
// About Dialogs
//
#define IDD_ABOUTDLG            22000
#define IDC_VERSION             22001
#define IDC_COPYRIGHT           22002
#define IDC_DEBUG               22003


##end // @OPT_APPL_ABOUTBOX@

##if @APITYPE_DLG@ begin
//
// Client Dialog
//
#define @DLG_ID@               2000


##end // APITYPE_DLG
//
// OWL defined strings
//

//
// Statusbar
//
#define IDS_MODES               32530
#define IDS_MODESOFF            32531

//
// EditFile
//
##if !@MODTYPE_DOCVIEW@ begin
#define IDS_UNTITLED            32550
##end // MODTYPE_DOCVIEW
#define IDS_UNABLEREAD          32551
#define IDS_UNABLEWRITE         32552
#define IDS_FILECHANGED         32553
#define IDS_FILEFILTER          32554

//
// EditSearch
//
#define IDS_CANNOTFIND          32540


//
// General & application exception messages (include/owl/except.rh)
//
#define IDS_UNKNOWNEXCEPTION    32767
#define IDS_OWLEXCEPTION        32766
#define IDS_OKTORESUME          32765
#define IDS_UNHANDLEDXMSG       32764
#define IDS_UNKNOWNERROR        32763
#define IDS_NOAPP               32762
#define IDS_OUTOFMEMORY         32761
#define IDS_INVALIDMODULE       32760
#define IDS_INVALIDMAINWINDOW   32759
#define IDS_VBXLIBRARYFAIL      32758

//
// Owl 1 compatibility messages
//
#define IDS_INVALIDWINDOW       32709
#define IDS_INVALIDCHILDWINDOW  32708
#define IDS_INVALIDCLIENTWINDOW 32707

//
// TXWindow messages
//
#define IDS_CLASSREGISTERFAIL   32749
#define IDS_CHILDREGISTERFAIL   32748
#define IDS_WINDOWCREATEFAIL    32747
#define IDS_WINDOWEXECUTEFAIL   32746
#define IDS_CHILDCREATEFAIL     32745

#define IDS_MENUFAILURE         32744
#define IDS_VALIDATORSYNTAX     32743
#define IDS_PRINTERERROR        32742

#define IDS_LAYOUTINCOMPLETE    32741
#define IDS_LAYOUTBADRELWIN     32740

//
// TXGdi messages
//
#define IDS_GDIFAILURE          32739
#define IDS_GDIALLOCFAIL        32738
#define IDS_GDICREATEFAIL       32737
#define IDS_GDIRESLOADFAIL      32736
#define IDS_GDIFILEREADFAIL     32735
#define IDS_GDIDELETEFAIL       32734
#define IDS_GDIDESTROYFAIL      32733
#define IDS_INVALIDDIBHANDLE    32732

##if @MODTYPE_DOCVIEW@ begin


//
// ListView (include/owl/listview.rh)
//
#define IDS_LISTNUM             32584


// DocView (include/owl/docview.rh)
//
#define IDS_DOCMANAGERFILE      32500
#define IDS_DOCLIST             32501
#define IDS_VIEWLIST            32502
#define IDS_UNTITLED            32503
#define IDS_UNABLEOPEN          32504
#define IDS_UNABLECLOSE         32505
#define IDS_READERROR           32506
#define IDS_WRITEERROR          32507
#define IDS_DOCCHANGED          32508
#define IDS_NOTCHANGED          32509
#define IDS_NODOCMANAGER        32510
#define IDS_NOMEMORYFORVIEW     32511
#define IDS_DUPLICATEDOC        32512
##if @OPT_APPL_OLE@ begin
#define IDS_EDITOBJECT          32600
#define IDS_EDITCONVERT         32601
#define IDS_CLOSESERVER         32602
#define IDS_EXITSERVER          32603

// Text for clipboard format names
//
#define IDS_CFTEXT              32610
#define IDS_CFBITMAP            32611
#define IDS_CFMETAFILE          32612
#define IDS_CFSYLK              32613
#define IDS_CFDIF               32614
#define IDS_CFTIFF              32615
#define IDS_CFOEMTEXT           32616
#define IDS_CFDIB               32617
#define IDS_CFPALETTE           32618
#define IDS_CFPENDATA           32619
#define IDS_CFRIFF              32620
#define IDS_CFWAVE              32621
#define IDS_CFUNICODETEXT       32622
#define IDS_CFENHMETAFILE       32623

#define IDS_IN                  32700
##end // OPT_APPL_OLE
##end // MODTYPE_DOCVIEW

##if @DLGCLIENT_MENU@ | !@APITYPE_DLG@ begin 
##if @OPT_APPL_PRINTING@ begin


//
// Printing error message string resource IDs (include/owl/printer.rh)
//
#define IDS_PRNON               32590
#define IDS_PRNERRORTEMPLATE    32591
#define IDS_PRNOUTOFMEMORY      32592
#define IDS_PRNOUTOFDISK        32593
#define IDS_PRNCANCEL           32594
#define IDS_PRNMGRABORT         32595
#define IDS_PRNGENERROR         32596
#define IDS_PRNERRORCAPTION     32597


//
// Printer abort dialog & control IDs
//
#define IDD_ABORTDIALOG         32599            // keep different than any string IDs
#define ID_TITLE                101              // Document title text control
#define ID_DEVICE               102              // Device & optional port text control
#define ID_PORT                 103              // Old port text control, unused
#define ID_PAGE                 104              // Page # text control


//
// Print Preview
//
#define APX_PPR_PREVIOUS        24500
#define APX_PPR_NEXT            24501
#define APX_PPR_ONEUP           24502
#define APX_PPR_TWOUP           24503
#define APX_PPR_CURRPAGE        24504
#define APX_PPR_DONE            24505
##end // OPT_APPL_PRINTING
##end // DLGCLIENT_MENU || !APITYPE_DLG


//
// TInputDialog DIALOG resource (include/owl/inputdia.rh)
//
#define IDD_INPUTDIALOG         32514
#define ID_PROMPT               4091
#define ID_INPUT                4090


//
// TSlider bitmaps (horizontal and vertical) (include/owl/slider.rh)
//
#define IDB_HSLIDERTHUMB        32000
#define IDB_VSLIDERTHUMB        32001


//
// Validation messages (include/owl/validate.rh)
//
#define IDS_VALPXPCONFORM       32520
#define IDS_VALINVALIDCHAR      32521
#define IDS_VALNOTINRANGE       32522
#define IDS_VALNOTINLIST        32523


// Next default values for new objects
// 
#ifdef APSTUDIO_INVOKED
#ifndef APSTUDIO_READONLY_SYMBOLS
##if @OPT_APPL_3DCONTROL@ begin
#define _APS_3D_CONTROLS					1
##end //3D
#define _APS_NEXT_RESOURCE_VALUE	130
#define _APS_NEXT_CONTROL_VALUE		1000
#define _APS_NEXT_SYMED_VALUE			101
#define _APS_NEXT_COMMAND_VALUE		10000
#endif
#endif

##end.
